#!/usr/bin/bash --noprofile 
# Why bash: because the source code is free and portable
# http://www.sunfreeware.com
#
set -x
VHDL_TEST=strings_h_testlib
VHDL_LIB_DEFAULT="./C"

if [   -z "${VHDL_LIB}" ]; then VHDL_LIB="${VHDL_LIB_DEFAULT}"; fi
if [ ! -d "${VHDL_LIB}" ]; then mkdir ${VHDL_LIB}; fi

vhdlan -NOEVENT -work C debugio_h.vhd
  if [ $? != 0 ]; then exit $?; fi
vhdlan -NOEVENT -work C strings_h.vhd
  if [ $? != 0 ]; then exit $?; fi
vhdlan -NOEVENT ${VHDL_TEST}.vhd
  if [ $? != 0 ]; then exit $?; fi

echo -ne "run\nquit\n" >vrun_temp_cmd.txt

vhdlsim -i vrun_temp_cmd.txt -o ${VHDL_TEST}.txt ${VHDL_TEST}_cfg

vi ${VHDL_TEST}.txt

